GNU bug report logs - #60917
[PATCH 21/25] gnu: go-github-com-burntsushi-toml: Update to 1.2.1.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Katherine Cox-Buday <cox.katherine.e@HIDDEN>; Keywords: patch; merged with #60898, #60899, #60900, #60901, #60902, #60903, #60904, #60905, #60906, #60907, #60908, #60909, #60910, #60911, #60912, #60913, #60914, #60915, #60916, #60918, #60919, #60920, #60921, #60922; dated Wed, 18 Jan 2023 01:46:14 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Katherine Cox-Buday <cox.katherine.e@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2023 01:45:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 17 20:45:57 2023
Received: from localhost ([127.0.0.1]:38643 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pHxWW-0007Xk-QL
	for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:57 -0500
Received: from lists.gnu.org ([209.51.188.17]:44518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1pHxW7-0007Va-Np
 for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:32 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxW6-0002Ap-A1
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:31 -0500
Received: from mail-il1-x12f.google.com ([2607:f8b0:4864:20::12f])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxW4-0006wC-8j
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:29 -0500
Received: by mail-il1-x12f.google.com with SMTP id i1so12885900ilu.8
 for <guix-patches@HIDDEN>; Tue, 17 Jan 2023 17:45:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=4QXyd8hNXhBv1ZNupW5AnoaVn1ABQ+/A8rklqksRdac=;
 b=dXh2TdDMW4UqSYxaJuS7vWsRe908H2hct7LeF1MdpvdtQF3+SbvuHVQme81mcqwGbm
 odaXnWLW9eAMIqctMWlQ00d5aWls1MFnTqXXlvwTASuBZyzvtwmf8aYU+zGHak5zYsNR
 RtyZE9FjI/h0wR/pgGgYQ2je9YUOQrm+zNJHDoEfh8UKLF0HBx0Opu+V/sNenHNrRgD8
 kHlZJPb9IpV/SP7/pQ+tg8uHkxmBubyknpKJxMZulRitIDd5AEuI1Up8ceYvOBe1KJcC
 4jFkUl/iG3m7KswjCwKOrHr2pUAcpvh7sHIUHtO+Fkgz8WOvq38/g1VanYnd010xkhIw
 4iJA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=4QXyd8hNXhBv1ZNupW5AnoaVn1ABQ+/A8rklqksRdac=;
 b=sANF3UfNyVziLZag8k5lUIC4OsQh49FIj1rX/A+DsSKeuGmqcecJSitJPqS2CV2rec
 xcHxjyspqgG0skGmTLxGO0IqKQeqJ+pUoczadQIjVlp8QzxluhPybbTvfZN2ZA2/iFVu
 woX6BcNGp+jmwnzx7sIIgsC2uwIKzibrqAZzwINhjgdCtzyzFDtOTHCSiZC6LldEV49u
 cSItwiyqnXnLthWVJqAT3o4pG/5QhIW33WXC4ZHqwVFGMOxOoDVGHNZ5HK4NKBj85twU
 PJRXZH+2Z24ED8otIMhNqgbUDF/dv1uoTGtkyoMlA3u2HMqQRdHQRJaPenL+pk4qsLg5
 Z8DQ==
X-Gm-Message-State: AFqh2krWkWmZersT+bpZRnfwogvEQ5GlUZAPjm6qeVbRWUOaCQX9fq2u
 U/rCt16PO+AVQftF9YEhtgI1fWFPFiw=
X-Google-Smtp-Source: AMrXdXu+sLwCT0if6BY6kQ2vvAN78675h6Ll31ilwRP/u2/uwvCsMljrMr7tGtJdJfNGEh6au8qNhQ==
X-Received: by 2002:a92:c9cc:0:b0:30b:b664:d0e9 with SMTP id
 k12-20020a92c9cc000000b0030bb664d0e9mr3862112ilq.24.1674006327656; 
 Tue, 17 Jan 2023 17:45:27 -0800 (PST)
Received: from washu-v4.home.cox-buday.com
 (c-174-51-139-101.hsd1.co.comcast.net. [174.51.139.101])
 by smtp.gmail.com with ESMTPSA id
 p32-20020a056638192000b0039e89ea68f9sm7889250jal.135.2023.01.17.17.45.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 Jan 2023 17:45:27 -0800 (PST)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 21/25] gnu: go-github-com-burntsushi-toml: Update to 1.2.1.
Date: Tue, 17 Jan 2023 18:45:06 -0700
Message-Id: <20230118014510.19320-22-cox.katherine.e@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
References: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::12f;
 envelope-from=cox.katherine.e@HIDDEN; helo=mail-il1-x12f.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/golang.scm (go-github-com-burntsushi-toml): Update to 1.2.1.
---
 gnu/packages/golang.scm | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 26cd636c64..660deceec5 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3328,23 +3328,23 @@ (define-public go-golang-org-x-mod
 (define-public go-github-com-burntsushi-toml
   (package
     (name "go-github-com-burntsushi-toml")
-    (version "0.3.1")
-    (source
-     (origin
-       (method git-fetch)
-       (uri (git-reference
-             (url "https://github.com/BurntSushi/toml")
-             (commit (string-append "v" version))))
-       (file-name (git-file-name name version))
-       (sha256
-        (base32
-         "1fjdwwfzyzllgiwydknf1pwjvy49qxfsczqx5gz3y0izs7as99j6"))))
+    (version "1.2.1")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/BurntSushi/toml")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1v9czq4hsyvdz7yx70y6sgq77wmrgfmn09r9cj4w85z38jqnamv7"))))
     (build-system go-build-system)
     (arguments
      '(#:import-path "github.com/BurntSushi/toml"))
     (home-page "https://github.com/BurntSushi/toml")
     (synopsis "Toml parser and encoder for Go")
-    (description "This package is toml parser and encoder for Go.  The interface
+    (description
+     "This package is toml parser and encoder for Go.  The interface
 is similar to Go's standard library @code{json} and @code{xml} package.")
     (license license:expat)))
 
-- 
2.38.1





Acknowledgement sent to Katherine Cox-Buday <cox.katherine.e@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60917; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 Jan 2023 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.